Subject: bug#10302: closed (Re: bug#10302: Some typos in web.texi documenation)

From: [email-masked] (GNU bug Tracking System)
Date: Sun, 10 Mar 2013 21:31:02 +0000

Your bug report

#10302: Some typos in web.texi documenation

which was filed against the guile package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
10302: http://debbugs.gnu.org/cgi/bugreport.cgi?bug=10302
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#10302: Some typos in web.texi documenation
From: Andy Wingo <[email-masked]>
To: Marijn <[email-masked]>
Cc: [email-masked], jc zulian <[email-masked]>, Mark H Weaver <[email-masked]>
Date: Sun, 10 Mar 2013 22:29:49 +0100
List-Id: <debbugs-submit.debbugs.gnu.org>

On Fri 16 Dec 2011 08:46, Marijn <[email-masked]> writes:

> On 15-12-11 22:08, jc zulian wrote:
>> Or it could be possible, as you already suggested, to use a more
>> commonly used 'if' and build a longer sentence around it (eg if x
>> then y otherwise z).
>
> Personally I like this suggestion a lot.

Done.
-- 
http://wingolog.org/

Subject: Some typos in web.texi documenation
From: jc zulian <[email-masked]>
To: [email-masked]
Date: Wed, 14 Dec 2011 22:20:38 +0100
List-Id: <debbugs-submit.debbugs.gnu.org>

Hello,

While reading the documentation I came across some typos. Please find
attached a patch to correct those (I hope the patch format is alright).

Thanks for your work,
Jean-christophe
diff --git a/doc/ref/web.texi b/doc/ref/web.texi
index d98f1bb..795e2c9 100644
--- a/doc/ref/web.texi
+++ b/doc/ref/web.texi
@@ -349,7 +349,7 @@ parsing and serialization procedures.  If a header is unknown, its
 string name is simply its symbol name in title-case.
 
 @deffn {Scheme Procedure} known-header? sym
-Return @code{#t} iff @var{sym} is a known header, with associated
+Return @code{#t} if @var{sym} is a known header, with associated
 parsers and serialization procedures.
 @end deffn
 
@@ -398,7 +398,7 @@ HTTP stack like this:
 @end example
 
 @deffn {Scheme Procedure} valid-header? sym val
-Return a true value iff @var{val} is a valid Scheme value for the header
+Return a true value if @var{val} is a valid Scheme value for the header
 with name @var{sym}.
 @end deffn